Add synthetic message
Durably admit synthetic session input and schedule execution unless resume is false.
POST
/api/session/{sessionID}/syntheticPath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsonidobject | anyShow propertiesHide properties
Any of:
object
objectany
anytextstringrequireddescriptionstring | anyShow propertiesHide properties
Any of:
string
stringany
anymetadataobjectdeliverystring | anyShow propertiesHide properties
Any of:
string
stringany
anyresumeboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyResponses
200Success
dataSessionPending.SyntheticrequiredShow propertiesHide properties
admittedSeqobjectrequiredShow propertiesHide properties
objectidobjectrequiredShow propertiesHide properties
objectsessionIDobjectrequiredShow propertiesHide properties
objecttimeCreatednumberrequiredtypestringrequiredAllowed:
syntheticdataSessionPending.SyntheticDatarequiredShow propertiesHide properties
textstringrequireddescriptionstringmetadataobjectdeliverystringrequiredAllowed:
steerqueue400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired409ConflictError
_tagstringrequiredAllowed:
ConflictErrormessagestringrequiredresourcestring | anyShow propertiesHide properties
Any of:
string
stringany
anyRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/synthetic" \
-H "Content-Type: application/json" \
-d '{
"id": {},
"text": "string",
"description": "string",
"metadata": {},
"delivery": "steer",
"resume": true
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/synthetic", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": {},
"text": "string",
"description": "string",
"metadata": {},
"delivery": "steer",
"resume": true
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/synthetic",
headers={
"Content-Type": "application/json"
},
json={
"id": {},
"text": "string",
"description": "string",
"metadata": {},
"delivery": "steer",
"resume": True
},
)Response
{
"data": {
"admittedSeq": {},
"id": {},
"sessionID": {},
"timeCreated": 0,
"type": "synthetic",
"data": {
"text": "string",
"description": "string",
"metadata": {}
},
"delivery": "steer"
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}{
"_tag": "ConflictError",
"message": "string",
"resource": "string"
}